flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Carlos Rovira <carlos.rov...@codeoscopic.com>
Subject Re: [FlexJS] FlexJS installation - bundle Google Closure Library?
Date Fri, 31 Jul 2015 20:54:13 GMT
This is one of the things we could do to ease development with FlexJs. As
Om said, there is no real adventage on use latest GCL, but it would cause
lots of users failure downloading and testing. So we this things are easy
to fix and was in the set I was referring to.

We should take into account that rest of devs approaching FlexJS
haven't  the high level knowledge of this technology that people in this
project have. So they must read , search an figure what we did, so we
should make this labor super easy or this guys would fail in his try and
would never return.

Just my thoughts...



El viernes, 31 de julio de 2015, OmPrakash Muppirala <bigosmallm@gmail.com>
escribió:

> On Thu, Jul 30, 2015 at 6:09 AM, Alex Harui <aharui@adobe.com
> <javascript:;>> wrote:
>
> > If someone wants to make these changes, I won’t object, but IMO, Google
> > Closure Library changes often, usually for the better.  Bundling will tie
> > a FlexJS release to a particular version of GCL and that may not always
> be
> > desirable at this point.
>
>
> From what I have seen, GCL is used behind the scenes by the FlexJS
> compiler, i.e. there is no way for the user to do anything directly with
> GCL.  I am not sure what advantage we get by getting the latest GCL library
> all the time.
>
> I believe tying a FlexJS release to a particular version of GCL is a good
> thing.
>
>
> > I believe we have the option of changing the
> > installer so it downloads GCL without asking for license approval as
> well.
> >
> >
> That does not solve the problem of the FlexJS installation failing.  The
> GCL download step can still fail, which seems to be happening a lot.
>
> Thanks,
> Om
>
>
> > -Alex
> >
> > On 7/30/15, 4:26 AM, "Kessler CTR Mark J" <mark.kessler.ctr@usmc.mil
> <javascript:;>>
> > wrote:
> >
> > >+1
> > >
> > >-Mark
> > >
> > >-----Original Message-----
> > >From: Justin Mclean [mailto:justin@classsoftware.com <javascript:;>]
> > >Sent: Wednesday, July 29, 2015 8:40 PM
> > >To: dev@flex.apache.org <javascript:;>
> > >Subject: Re: [FlexJS] FlexJS installation - bundle Google Closure
> Library?
> > >
> > >Hi,
> > >
> > >> Since Google Closure Library is also Apache licensed, can we package
> it
> > >> with the binary release instead of having the Installer download it
> > >> separately?
> > >
> > >+1 and also any other MIT or BSD licensed stuff. Mean will have to make
> > >some minor mods to NOTICE/LICENSE but it's straight forward.
> > >
> > >Justin
> >
> >
>


-- 

Carlos Rovira
Director General
M: +34 607 22 60 05
http://www.codeoscopic.com
http://www.avant2.es


Este mensaje se dirige exclusivamente a su destinatario y puede contener
información privilegiada o confidencial. Si ha recibido este mensaje por
error, le rogamos que nos lo comunique inmediatamente por esta misma vía y
proceda a su destrucción.

De la vigente Ley Orgánica de Protección de Datos (15/1999), le comunicamos
que sus datos forman parte de un fichero cuyo responsable es CODEOSCOPIC
S.A. La finalidad de dicho tratamiento es facilitar la prestación del
servicio o información solicitados, teniendo usted derecho de acceso,
rectificación, cancelación y oposición de sus datos dirigiéndose a nuestras
oficinas c/ Tres Creus, nº 104, 2-1, 08202 de Sabadell (Barcelona) con la
documentación necesaria.

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message